Package org.apache.sysds.lops

# Enum Class WeightedSquaredLoss.WeightsType

java.lang.Object
java.lang.Enum<WeightedSquaredLoss.WeightsType>
org.apache.sysds.lops.WeightedSquaredLoss.WeightsType

All Implemented Interfaces:
  `Serializable`, `Comparable<WeightedSquaredLoss.WeightsType>`, `Constable`

Enclosing class:
  WeightedSquaredLoss

public static enum WeightedSquaredLoss.WeightsType extends Enum<WeightedSquaredLoss.WeightsType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`NONE`
`POST`
`POST_NZ`
`PRE`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasFourInputs()`
`static WeightedSquaredLoss.WeightsType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static WeightedSquaredLoss.WeightsType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### POST

public static final WeightedSquaredLoss.WeightsType POST

### POST_NZ

public static final WeightedSquaredLoss.WeightsType POST_NZ

### PRE

public static final WeightedSquaredLoss.WeightsType PRE

### NONE

public static final WeightedSquaredLoss.WeightsType NONE

## Method Details

### values

public static WeightedSquaredLoss.WeightsType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static WeightedSquaredLoss.WeightsType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### hasFourInputs

public boolean hasFourInputs()